<template>
  <v-container>
    <v-row>


      <v-row>
        <v-col md="11">
          <h1 class="font-weight-light text-center">Comandas</h1>
        </v-col>

        <v-col md="1">
          <v-btn
              color="blue-grey"
              class="ma-2 white--text"
              fab



          >
            <v-icon dark>
              mdi-download

            </v-icon>
          </v-btn>
        </v-col>
      </v-row>


      <v-col md="12">
        <v-data-table
            v-model="selected"
            :headers="headers"
            :items="desserts"
            :items-per-page="5"
            itme-key="name"
            :single-select="singleSelect"
            show-select
        >

          <template v-slot:item.detalle="{item}">

            <v-icon @click="modalenabled">mdi-message-text-outline</v-icon>

          </template>


        </v-data-table>

      </v-col>
    </v-row>

    <v-dialog v-model="detalleorden" width="700">
      <v-card class="mx-auto">
        <v-app-bar color="#e3fcfd">
          <v-toolbar-title class="title font-weight-light">Detalle de pedido #246213</v-toolbar-title>
        </v-app-bar>
        <v-card-text>
          <br />
          <v-list debes dense>
            <v-row>
              <v-col cols="12" md="6">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>
                      <strong style="margin-right: 10px">Cliente:</strong>
                    </v-list-item-title>
                     Juan Perez
                  </v-list-item-content>
                </v-list-item>
              </v-col>
              <v-col cols="12" md="6">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>
                      <strong style="margin-right: 10px">Telefono</strong>
                    </v-list-item-title>
                      8120688363
                  </v-list-item-content>
                </v-list-item>
              </v-col>
            </v-row>
            <v-row>
              <v-col cols="12" md="6">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>
                      <strong>Codigo Postal</strong>
                    </v-list-item-title>
                      64000
                  </v-list-item-content>
                </v-list-item>
              </v-col>
              <v-col cols="12" md="6">
                <v-list-item>
                  <v-list-item-content>
                    <v-list-item-title>
                      <strong>Dirección</strong>
                    </v-list-item-title>
                      Cumbres 2do Sector,Av paseo de los leones #2349
                  </v-list-item-content>
                </v-list-item>
              </v-col>

            </v-row>
          </v-list>
          <v-simple-table style="margin-top: 10px">
            <template>
              <thead>
              <tr>
                <th class="text-left">Producto</th>
                <th class="text-left">Cantidad</th>
                <th class="text-left">Unidad</th>
                <th class="text-left">Precio</th>

                <th class="text-left">Total</th>
              </tr>
              </thead>
              <tbody>
              <tr>
                <td>Aguacate Hass</td>
                <td>6</td>
                <td>Kilo</td>
                <td>30</td>
                <td>180.00</td>
                <td></td>
              </tr>

              <tr>
                <td>Lechuga Romana</td>
                <td>2</td>
                <td>Pieza</td>
                <td>15</td>
                <td>30.00</td>
              </tr>

              <tr>
                <td>Tomate Bola</td>
                <td>10</td>
                <td>Pieza</td>
                <td>4.80</td>
                <td>48.00</td>
              </tr>
              </tbody>
            </template>
          </v-simple-table>
          <v-card-actions style="margin-right: 20px">
            <v-spacer></v-spacer>
            <strong>Total $258.00</strong>


          </v-card-actions>

        </v-card-text>

      </v-card>
    </v-dialog>

  </v-container>


</template>

<script>
import csvFile from "../../assets/branding/logo.png"
export default {
  name: "OrdenesDet",
  data () {
    return {
      item:csvFile,
      date: new Date().toISOString().substr(0, 10),
      menu: false,
      singleSelect: true,
      selected: [],
      modal: false,
      menu2: false,
      detalleorden:false,
      headers: [

        { text: 'Codigo Postal', value: 'cp' ,  },

        {
          text: 'Codigo',
          align: 'start',
          sortable: false,
          value: 'codigo',

        },




        { text: 'Fecha', value: 'fecha' ,  },
        { text: 'Monto($)', value: 'monto',  },
        { text: 'Detalle', value: 'detalle',  },


      ],
      desserts: [
        {
          cp:'64000',
          codigo:'246213',
          fecha:'07/10/2020',
          monto:'$1,574'

        },
        {
          codigo:'564649',
          fecha:'07/10/2020',
          monto:'$1,325',
          cp:'66059'
        },
        {
          codigo:'369875',
          fecha:'07/10/2020',
          monto:'$857',
          cp:'66050'
        },

      ],
    }
  },

  methods:{

    modalenabled:function (){
      this.detalleorden = true;

    },

  }





}
</script>

<style scoped>

</style>